<template>
  <div>
    <a :href="website.url" target="_blank">
      <div
        class="shadow-lg rounded-3xl p-4 bg-white dark:bg-gray-900 w-64 duration-500 ease-in-out transform hover:-translate-y-1 hover:scale-105"
      >
        <div class="text-center">
          <div class="flex flex-col justify-between">
            <div class="inline-flex items-center justify-center mb-5">
              <img :src="website.icon" :alt="website.title" class="w-12 h-12" />
            </div>
            <p class="text-grey-1 font-bold text-xl mt-4">
              {{ website.title }}
            </p>
            <p class="text-grey-1 text-sm px-4">
              {{ website.description }}
            </p>
          </div>
        </div>
      </div>
    </a>
  </div>
</template>

<script>
export default {
  props: {
    website: {
      title: String,
      url: String,
      description: String,
      icon: String,
    },
  },
};
</script>

<style scoped></style>
